local places = {
	{name = "bcso", x = 1849.388, y = 3689.164, z = 34.270},
	{name = "paleto", x = -447.307, y = 6009.122, z = 32.616},
	{name = "lspd", x = 824.501, y = -1291.138, z = 28.245},
	{name = "vespucci", x = -1082.507, y = -866.390, z = 5.050},
	{name = "missionrow", x = 450.515, y = -991.851, z = 30.700},
	{name = "rockford", x = -556.275, y = -131.940, z = 38.110},
	{name = "vinewood", x = 641.542, y = -6.150, z = 82.790},
	{name = "davis", x = 374.245, y = -1608.263, z = 29.292},
	{name = "station1", x = 215.668, y = -1640.92, z = 29.6417},
	{name = "station2", x = 1704.04, y = 3596.22, z = 35.4264},
	{name = "station3", x = -362.294, y = 6130.17, z = 31.4402},
	{name = "station4", x = -640.5, y = -120.2, z = 38.2138},
	{name = "station5", x = -2107.22, y = 2830.84, z = 32.9602},
	{name = "station6", x = -1096.1, y = -2379.43, z = 14.0903},
	{name = "station7", x = 1207.95, y = -1461.68, z = 34.8434},
}

RegisterCommand("pdtp", function(source, args, rawCmd)
	if not args[1] then
		printHelp()
	else
		for _, place in ipairs(places) do
			if args[1] == place.name then
				SetEntityCoords(PlayerPedId(), place.x, place.y, place.z + 0.5 , 1, 0, 0, 1)
				return
			end
		end
		
		printHelp()
	end
end, false)

AddEventHandler("menu:setup", function()
	TriggerEvent("menu:registerModuleMenu", "PD Teleleports", function(id)
		for _, place in ipairs(places) do
			TriggerEvent("menu:addModuleItem", id, place.name, nil, false, function(id, state)
				SetEntityCoords(PlayerPedId(), place.x, place.y, place.z + 0.5 , 1, 0, 0, 1)
			end)
		end
	end, false)
end)

function printHelp()
	TriggerEvent('chatMessage', "[PDTeleport]", { 255, 0, 0 }, "Possible teleports:")
	local tps = ""
	for i, place in ipairs(places) do
		tps = tps .. place.name
		if i ~= #places then
			tps = tps .. ", "
		end
	end
	TriggerEvent('chatMessage', "", { 255, 0, 0 }, tps)
end